import { SoundSystem } from "../digital/audio";
import { MIDI } from "./song";
import { SoundOff, SoundOn } from "../midi/types";
export declare const NoOp: SoundOff;
export declare type Track = {
    lastFn: Array<Array<SoundOff>>;
    idx: number;
    vol: GainNode;
    pan: PannerNode;
    instrument: SoundOn;
};
export declare type MidiRun = {
    song: MIDI;
    tracks: Array<Track>;
    output: ChannelMergerNode;
};
export declare function createRun(system: SoundSystem, song: MIDI): MidiRun;
export declare function destroyRun(system: SoundSystem, run: MidiRun): void;
export declare function silenceRun(songRun: MidiRun): void;
export declare function rewindRun(songRun: MidiRun): void;
export declare function playRun(system: SoundSystem, run: MidiRun): void;
//# sourceMappingURL=player.d.ts.map