const entries = [
  "src/andy.ts",
  "src/metronome.worker.ts",
  "src/noise.processor.ts",
];
// const external = [];

if (process.env.NODE_ENV === "development") {
  entries.push("src/tools/index.ts");
  entries.push("src/tools/patch.ts");
}

const buildSettings = {
  entryPoints: entries,
  bundle: true,
  minify: false, // process.env.NODE_ENV !== "development",
  minifyWhitespace: false, // process.env.NODE_ENV !== "development",
  sourcemap: true, // process.env.NODE_ENV === "development",
  outdir: `dist`,
  plugins: [],
  // external: external,
  loader: {},
  define: {
    "process.env.NODE_ENV": `"${process.env.NODE_ENV}"`,
  },
  watch: process.env.NODE_ENV === "development",
};

require("esbuild")
  .build(buildSettings)
  .catch(() => process.exit(1));
